<?php

namespace Drupal\service_injector\Service;

use Drupal\Core\Path\CurrentPathStack;

/**
 * Injection utility for the Drupal Current Path Stack service.
 */
trait CurrentPathStackServiceTrait {

  /**
   * The Drupal Current Path Stack service.
   *
   * @var \Drupal\Core\Path\CurrentPathStack
   */
  private CurrentPathStack $currentPathStackService;

  /**
   * Gets the Drupal Current Path Stack service.
   *
   * @return \Drupal\Core\Path\CurrentPathStack
   *   The Drupal Current Path Stack service.
   */
  public function currentPathStackService() : CurrentPathStack {
    return $this->currentPathStackService;
  }

  /**
   * Sets the Drupal Current Path Stack service.
   *
   * @param \Drupal\Core\Path\CurrentPathStack $service
   *   The service to be set.
   */
  public function setCurrentPathStackService(CurrentPathStack $service) : void {
    $this->currentPathStackService = $service;
  }

}
