<?php

namespace Drupal\service_injector\Service;

use Drupal\Component\Utility\EmailValidatorInterface;

/**
 * Injection utility for the Drupal Email Validator service.
 */
trait EmailValidatorServiceTrait {

  /**
   * The Drupal Email Validator service.
   *
   * @var \Drupal\Component\Utility\EmailValidatorInterface
   */
  private EmailValidatorInterface $emailValidatorService;

  /**
   * Gets the Drupal Email Validator service.
   *
   * @return \Drupal\Component\Utility\EmailValidatorInterface
   *   The Drupal Email Validator service.
   */
  public function emailValidatorService() : EmailValidatorInterface {
    return $this->emailValidatorService;
  }

  /**
   * Sets the Drupal Email Validator service.
   *
   * @param \Drupal\Component\Utility\EmailValidatorInterface $service
   *   The service to be set.
   */
  public function setEmailValidatorService(EmailValidatorInterface $service) : void {
    $this->emailValidatorService = $service;
  }

}
