<?php

namespace Drupal\service_injector\Service;

use Drupal\Core\Entity\EntityTypeManagerInterface;

/**
 * Injection utility for the Drupal Entity Type Manager service.
 */
trait EntityTypeManagerServiceTrait {

  /**
   * The Drupal Entity Type Manager service.
   *
   * @var \Drupal\Core\Entity\EntityTypeManagerInterface
   */
  private EntityTypeManagerInterface $entityTypeManagerService;

  /**
   * Gets the Drupal Entity Type Manager service.
   *
   * @return \Drupal\Core\Entity\EntityTypeManagerInterface
   *   The Drupal Entity Type Manager service.
   */
  public function entityTypeManagerService() : EntityTypeManagerInterface {
    return $this->entityTypeManagerService;
  }

  /**
   * Sets the Drupal Entity Type Manager service.
   *
   * @param \Drupal\Core\Entity\EntityTypeManagerInterface $service
   *   The service to be set.
   */
  public function setEntityTypeManagerService(EntityTypeManagerInterface $service) : void {
    $this->entityTypeManagerService = $service;
  }

}
