<?php

namespace Drupal\service_injector\Service;

use Drupal\Core\Language\LanguageManagerInterface;

/**
 * Injection utility for the Drupal Language Manager service.
 */
trait LanguageManagerServiceTrait {

  /**
   * The Drupal Language Manager service.
   *
   * @var \Drupal\Core\Language\LanguageManagerInterface
   */
  private LanguageManagerInterface $languageManagerService;

  /**
   * Gets the Drupal Language Manager service.
   *
   * @return \Drupal\Core\Language\LanguageManagerInterface
   *   The Drupal Language Manager service.
   */
  public function languageManagerService() : LanguageManagerInterface {
    return $this->languageManagerService;
  }

  /**
   * Sets the Drupal Language Manager service.
   *
   * @param \Drupal\Core\Language\LanguageManagerInterface $service
   *   The service to be set.
   */
  public function setLanguageManagerService(LanguageManagerInterface $service) : void {
    $this->languageManagerService = $service;
  }

}
