<?php

namespace Drupal\service_injector\Service;

use Drupal\Core\Mail\MailManagerInterface;

/**
 * Injection utility for the Drupal Mail Manager Plugin service.
 */
trait MailManagerPluginServiceTrait {

  /**
   * The Drupal Mail Manager Plugin service.
   *
   * @var \Drupal\Core\Mail\MailManagerInterface
   */
  private MailManagerInterface $mailManagerPluginService;

  /**
   * Gets the Drupal Mail Manager Plugin service.
   *
   * @return \Drupal\Core\Mail\MailManagerInterface
   *   The Drupal Mail Manager Plugin service.
   */
  public function mailManagerPluginService() : MailManagerInterface {
    return $this->mailManagerPluginService;
  }

  /**
   * Sets the Drupal Mail Manager Plugin service.
   *
   * @param \Drupal\Core\Mail\MailManagerInterface $service
   *   The service to be set.
   */
  public function setMailManagerPluginService(MailManagerInterface $service) : void {
    $this->mailManagerPluginService = $service;
  }

}
