<?php

namespace Drupal\service_injector\Service;

use Drupal\Core\Extension\ModuleInstallerInterface;

/**
 * Injection utility for the Drupal Module Installer service.
 */
trait ModuleInstallerServiceTrait {

  /**
   * The Drupal Module Installer service.
   *
   * @var \Drupal\Core\Extension\ModuleInstallerInterface
   */
  private ModuleInstallerInterface $moduleInstallerService;

  /**
   * Gets the Drupal Module Installer service.
   *
   * @return \Drupal\Core\Extension\ModuleInstallerInterface
   *   The Drupal Module Installer service.
   */
  public function moduleInstallerService() : ModuleInstallerInterface {
    return $this->moduleInstallerService;
  }

  /**
   * Sets the Drupal Module Installer service.
   *
   * @param \Drupal\Core\Extension\ModuleInstallerInterface $service
   *   The service to be set.
   */
  public function setModuleInstallerService(ModuleInstallerInterface $service) : void {
    $this->moduleInstallerService = $service;
  }

}
