<?php

namespace Drupal\service_injector\Service;

use Drupal\Core\Path\CurrentPathStack;

/**
 * Injection utility for the Drupal Current Path Stack service.
 */
trait PathCurrentServiceTrait {

  /**
   * The Drupal Current Path Stack service.
   *
   * @var \Drupal\Core\Path\CurrentPathStack
   */
  private CurrentPathStack $pathCurrentService;

  /**
   * Gets the Drupal Current Path Stack service.
   *
   * @return \Drupal\Core\Path\CurrentPathStack
   *   The Drupal Current Path Stack service.
   */
  public function pathCurrentService() : CurrentPathStack {
    return $this->pathCurrentService;
  }

  /**
   * Sets the Drupal Current Path Stack service.
   *
   * @param \Drupal\Core\Path\CurrentPathStack $service
   *   The service to be set.
   */
  public function setPathCurrentService(CurrentPathStack $service) : void {
    $this->pathCurrentService = $service;
  }

}
