<?php

namespace Drupal\service_injector\Service;

use Drupal\Core\Path\PathMatcherInterface;

/**
 * Injection utility for the Drupal Path Matcher service.
 */
trait PathMatcherServiceTrait {

  /**
   * The Drupal Path Matcher service.
   *
   * @var \Drupal\Core\Path\PathMatcherInterface
   */
  private PathMatcherInterface $pathMatherService;

  /**
   * Gets the Drupal Patch Matcher service.
   *
   * @return \Drupal\Core\Path\PathMatcherInterface
   *   The Drupal Patch Matcher service.
   */
  public function pathMatherService() : PathMatcherInterface {
    return $this->pathMatherService;
  }

  /**
   * Sets the Drupal Patch Matcher service.
   *
   * @param \Drupal\Core\Path\PathMatcherInterface $service
   *   The service to be set.
   */
  public function setPathMatcherService(PathMatcherInterface $service) : void {
    $this->pathMatherService = $service;
  }

}
