<?php

namespace Drupal\service_injector\Service;

use Drupal\Core\State\StateInterface;

/**
 * Injection utility for the Drupal State API service.
 */
trait StateServiceTrait {

  /**
   * The Drupal State API service.
   *
   * @var \Drupal\Core\State\StateInterface
   */
  private StateInterface $stateService;

  /**
   * Gets the Drupal State API service.
   *
   * @return \Drupal\Core\State\StateInterface
   *   The Drupal State API service.
   */
  public function stateService() : StateInterface {
    return $this->stateService;
  }

  /**
   * Sets the Drupal State API service.
   *
   * @param \Drupal\Core\State\StateInterface $service
   *   The service to be set.
   */
  public function setStateService(StateInterface $service) : void {
    $this->stateService = $service;
  }

}
